using LinqToDB.Mapping;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MasaBlazorApp3.Pojo
{
    [Table("channel_list")]
    public class ChannelList
    {

        [PrimaryKey]
        [Column("chnguid")]
        public string Id { get; set; }


        [Column("machine_id")]
        public string MachineId { get; set; }

        [Column("row_no")]
        public int DrawerNo { get; set; }

        [Column("col_no")]
        public int ColNo { get; set; }

        [Column("drug_id")]
        public string DrugId { get; set; }

        [Column("chn_type")]
        public int DrawerType { get; set; }

        [Column("col_no1")]
        public int IsBox { get; set; }


        [Column("col_no2")]
        public int IsWeight { get; set; }

        [Association(ThisKey = nameof(Id), OtherKey = nameof(ChannelStock.ListId))]
        public List<ChannelStock> ChannelStocks { get; set; } = new();

        [Association(ThisKey = nameof(DrugId), OtherKey = nameof(DrugInfo.DrugId))]
        public DrugInfo Drug { get; set; } = new();

        //关联药品中的套餐信息表
        [Association(ThisKey = nameof(DrugId), OtherKey = nameof(Plan.Id))]
        public Plan PlanInfo { get; set; } = new();
        //手术室药盒中的库存总数
        [Column("stock_quantity")]
        public int TotalQuantity { get; set; }
        [Association(ThisKey = nameof(DrugId), OtherKey = nameof(PlanDetails.PlanId))]
        public List<PlanDetails> _PlanDetails { get; set; } = new();
        //手术室药盒中的库存总数
        [Column(IsColumn = false)]
        public bool IsChecked{get;set;} = false;
        //手术室药盒中的库存总数
        [Column(IsColumn = false)]
        public bool BoxDisabled {get;set;} = false; 
    }
}
